﻿init:
    ## Location image calls
    image bg room = "artroom_night.jpg"
    image bg graduation = "koudo.jpg"
    image bg ending = "#000"
    
    ## Character calls
    $ nar = NVLCharacter(None, kind=nvl)
    $ art = NVLCharacter(None, kind=nvl, what_prefix='"', what_suffix='"')
    
## Game START~!
label start:
    python hide:
        if renpy.sound.is_playing(channel=7):
            renpy.music.stop()
                
    play music "memories.mp3" fadein 0.5
    
    ## Art room ##
    scene bg room
    with fade
    
    nvl clear
    $ renpy.pause (3.0)
    nvl show dissolve
    nar "The art room at my old high school... {w=.8}My, there were experiences to never forget there."
    nar "Every year, there would always be something new. A person, a work... {w}Sometimes they were one in the same."
    nar "But there was always something going on. {w=.6}Never was there a dull moment in that art room. {w=.6}If there wasn't someone painting, there was someone sculpting. If not either of those, then they were sketching, or editing a photo on the computer."
    nar "There were always people there."
    nvl clear
    nar "From the first time I arrived, things were always bustling. Our teacher kept us busy, that was for sure. {w}But he wasn't cruel in his delegation of work. {w=.6}You wanted help? He'd be happy to give it to you."
    nar "Even if your skills weren't exactly up-to-scratch, he would still sit down with you and take you through the process."
    nar "It didn't matter whether you were the next Michaelangelo or just another kid trying to break into the art world after watching cartoons on TV. {w=.8}Even if you didn't want to go the traditional route, he'd give you pointers for making your work better."
    nar "He was such a nice man... {w=.8}I wonder what the school is going to be like without him?"
    nar "Well, I should say, without either of us. What irony that the year I graduate, he decides that he's going to retire."
    nvl clear
    nar "I don't blame him. {w=.8}Teaching for 40 some-odd years has to take a toll on someone. {w}And yet he never showed it."
    nar "There wasn't a time I was in his classroom that he wasn't bouncing around, helping students, working on his own art, or else doing his teacherly duties. {w}There wasn't a thing in the world that could bring him down."
    nar "Every day, you'd see him, the old man, running around, going from student to student to see if there was anything they needed. And if they didn't, {w=.5}he'd run back to his desk. He'd never walk; {w=.5}running, {w=.5}or at least jogging, {w=.5}was the only way to get around for him."
    nar "His energy seemed boundless, {w=.5}incapable of being cancelled out."
    nvl clear
    nar "But... {w=.8}There was that one time, {w=.5}about three years ago."
    nvl clear
    nar "We had heard that his wife had been hospitalized with some sort of heart condition. {w=.8}News usually travels pretty fast at high schools. {w}That day, though, it seemed that all of the energy was gone."
    nar "I didn't see any of the bounce that so characterized him. It was like someone had let all the air out of him."
    nar "He just sat at his desk. I suppose he might've been brooding just a little bit, but that thought in-and-of-itself is kind of selfish. {w}He wasn't the type to be sitting around moping."
    nar "But seeing his face, {w=.5}his eyes devoid of any happiness, {w=.5}it was like looking into the mind of a man who was sentenced to die. {w}I couldn't stand to see him that way; {w=.8}I don't think anyone could. {w=.8}Even the classroom seemed dreary."
    nvl clear
    nar "The next day, though, he was right back on his feet. The bouncy man bounced right back from his troubles."
    nar "He was back to flitting around the easles, complimenting students on their work, even if the average person wouldn't exactly call it \"art.\" {w}He loved working with the students as much as he enjoyed living."
    nar "He probably thought teaching and living were the same exact thing."
    nvl clear
    nar "Now, in the nighttime, {w=.5}at the end of the school year, {w=.5}with the prospect of him not being here next year, {w=.5}the room seems dead."
    nar "That constant energy that he seemed to add to the room had vanished, dissolved into nothingness. {w}Who knew what next year would bring?"
    nar "Things just didn't seem the same without him."
    nvl hide dissolve
    stop music fadeout 1.5
    
    ## Graduation ##
    scene bg graduation with fade
    play music [ "people01.ogg" ] fadein 0.5
    nvl clear
    $ renpy.pause (3.0)
    nvl show dissolve
    nar "Finally, the day had come: {w=.8}graduation."
    nar "We were told about a week before, during class, that our art teacher was going to be giving the teacher's speech to the seniors. Must've been the fact that he was retiring. {w=.8}We all applauded him when we got the news."
    nar "As he approached the podium, cheers issued forth from the crowd. He was certainly liked, that was for sure."
    nar "No one knew what to expect from his speech. He hadn't conferred with anyone about what he should say or what to do. He didn't even refer to any of his collegues."
    nar "In fact, {w=.5}it didn't seem like he had talked to anyone for the past couple of weeks."
    stop music fadeout 1.0
    nar "He cleared his throat. The crowd got quiet."
    play music [ "inspiration.mp3" ] fadein 0.5
    
    nar "{w=.8}He began his speech."
    nvl clear
    
    art "It's been almost 40 years since I started teaching. And I'm sure you can all imagine how long a time that is, considering how long just 18 years of your lives have felt."
    nar "A small laugh went up from the crowd."
    art "But, 40 years is too short a time to fully appreciate the value of what teachers do. {w}It's only through teaching that we pass on what we truly love; {w=.5}education keeps things from falling into obscurity."
    art "Yes, {w=.5}I do mean art in some respects, {w=.5}but other things too. {w}English, {w=.5}math, {w=.5}science, {w=.3}history, {w=.2}music, {w=.2}everything. {w=1.2}If we don't teach, no one will ever know the mysteries and the wonders of such forms of intelligence."
    art "It is those who engage themselves in the noble art of teaching who are really to be praised. {w=.8}Without them, you wouldn't be here. {w}Though, I'm sure you all would like a pat on the back for doing such a good job."
    nvl clear
    art "Me, {w=.5}personally, {w=.5}I wouldn't give you one. {w}The real world doesn't pat you on the back for every good thing you do. {w=.8}Succeeding means you live another day; {w=.5}failing means you don't get dinner for yourself, {w=.5}your family."
    nar "The crowd had gotten deathly quiet. {w}No one was expecting this. {w=.8}You'd think the nicest teacher in the world would have something, {w=.5}you know, {w=.5}nicer to say."
    nar "No sounds could be heard except his voice. {w}It sounded like everyone was holding their collective breath."
    art "When you go out there, {w=.5}you have to realize that no one's looking out for you except yourself. {w}You have to take your life by the scruff of the neck and drag it along, {w=.3}lest you lose your focus somewhere along the way."
    art "There were others who believed what I do."
    nvl clear
    art "She's up in heaven now, {w=2}my beloved wife."
    nvl clear
    nar "Everything then became strikingly clear. His sudden silence, {w=.5}the seriousness of his words. {w}This was his elegy. {w=.8}His eagle cry."
    nar "He had bounced back from the worst thing that had happened to him in his life, {w=.5}and he was telling us to do the same as well."
    nvl hide dissolve
    scene bg ending with fade
    $ renpy.pause (2.0)
    nvl clear
    nar "I think I learned a very valuable lesson that day."
    nvl hide dissolve
    stop music fadeout 1.5
    
    $ renpy.pause (3.0)
    
    ## Epilogue ##
    play music "epilogue.mp3" fadein 0.5
    
    nvl clear
    nar "We had learned later that his wife had died of congestive heart failure. {w=.8}Her heart had gotten so weak that it couldn't support her body anymore. {w}Yet, her death was almost a full month before the graduation ceremony."
    nar "He dealt with her death for two weeks before falling silent. {w}But was it really her death that had silenced him? {w=.8}Or was it deep thought and introspection that kept him from being his usual self?"
    nar "{w=1}None of us will ever know. {w=.5}Almost in a turn of fate, he died about a week after the graduation ceremony. {w=.8}He was almost 70 years old."
    nar "We'll always remember his lesson, though. {w=.8}And we'll always remember him."
    nar "He was the one person who treated us as people. {w=.5}Not as pupils, {w=.5}but as actual people, {w=.5}people with emotions, {w=.3}talents, {w=.3}and weaknesses."
    nar "And he turned all of that into ability."
    nar "All of us, {w}we bounced back from our problems."
    nvl clear
    nar "{w=1}... and for that, {w=.5}we will always remember him."
    nvl hide dissolve
        
    $ renpy.pause (5.0)
    
    ## Credits ##
    nvl clear
    nar "{u}Story{/u}{nw}"
    nar " {i}Ashen{/i}{w=1}{nw}"
    nar "{u}Music{/u}{nw}"
    nar " ♪Kanashi mino ame{nw}"
    nar " ♪Tanjoubi{nw}"
    nar " ♪Wasure kaketetamono{nw}"
    nar " ♪Kodoku{nw}"
    nar " {i}by ~omega~ (http://cybermarine.yukihotaru.com/){/i}{w=1.5}{nw}"
    nar "{u}Backgrounds{/u}{nw}"
    nar " {i}Kaikei Sozai Mise (http://shass.sakura.ne.jp/){/i}{nw}"
    nar " {i}bxb-love (http://homepage1.nifty.com/tcat/){/i}{p}{nw}"
    nar "{b}~Thanks for playing!~{/b}"
    nvl hide dissolve
    stop music fadeout 1.5
    
    $ renpy.pause (3.0)
        
    return